<?php

/**

* simpledocssearch v0.1
* Written by Darren Smith (with some help from Marky Clarky) on 21/3/2006 in a development plan meeting :-) 
* based / inspired by block_simplegooglesearch v0.1 by Jim McGowan, j.mcgowan@rsamd.ac.uk
*
* TO DO if somebody is bored sometime ...
*
* Link to a nicer formatted google search results like the moodle search block on moodle.org home page
* help icon perhaps like the forum search block in using moodle
* Config option to allow opening in different window - done
* Config option to show only to teachers - done 
* Language file for Go! - done
*
* Added config option to use Google or the built in Moodle Docs search facility
*
* Edited by Andrew Walker - Alton College 23/3/2006 and again on 26/4/2006 (bug fixes)
*/

class block_searchdocs extends block_base {

    function init() {
        $this->title = 'Search Documentation';
        $this->version = 2006032300;
    }

    function instance_allow_multiple() {
        return false;
    }
    
    function instance_allow_config() {
        return true;
    }

    function get_content() {
	      if ($this->content !== NULL) {
		        return $this->content;
		    }
		
        $this->content = new stdClass;
                
        if (!empty($this->config->teacheronly)) {
            $course = get_record('course', 'id', $this->instance->pageid);
            if (!isteacher($course->id)) {
		            $this->content->text = '';
		            $this->content->footer = '';
                return $this->content;
           }
        }		
				
        $target = (!empty($this->config->newwindow)) ? ' target="_blank"' : '';
        
        $go = get_string('go', 'block_searchdocs');
        
        if (empty($this->config->searchengine)) {
	          $this->content->text = "
					<center>
						<form method=\"GET\" action=\"http://www.google.com/search\"{$target}>
							<input type=\"hidden\" name=\"ie\" value=\"UTF-8\" />
							<input type=\"hidden\" name=\"oe\" value=\"UTF-8\" />
							<input type=\"text\" name=\"q\" size=\"15\" maxlength=\"255\" value=\"\">
							<input type=\"submit\" name=\"btnG\" value=\"{$go}\">
							<input type=\"hidden\" name=\"domains\" value=\"http://docs.moodle.org\">						
							<input type=\"hidden\" name=\"sitesearch\" value=\"http://docs.moodle.org\">
						</form>
					</center>";
					
				} else {
            $this->content->text = "
					<center>
						<form method=\"GET\" action=\"http://docs.moodle.org/en/Special:Search\"{$target}>
							<input type=\"hidden\" name=\"fulltext\" value=\"Search\" />
							<input type=\"text\" name=\"search\" size=\"15\" maxlength=\"255\" value=\"\">
							<input type=\"submit\" value=\"{$go}\">
						</form>
					</center>";
				
				}
											  
        $this->content->footer = '<a href="http://docs.moodle.org">Moodle Docs</a>';
        return $this->content;
    }
}
?>